- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: bcdd79f9-e2f3-42e6-8c56-ebf757c6733d
    creation_time: 2023-02-17T12:07:05.047619Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.c
      input_file_hashes:
        c/loop-invgen/fragtest_simple.c: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.c
    file_hash: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
    line: 13
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: k == 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8026b4a7-16d5-42b8-905d-85b0bbd0529f
    creation_time: 2023-02-17T12:07:05.047803Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.c
      input_file_hashes:
        c/loop-invgen/fragtest_simple.c: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.c
    file_hash: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
    line: 23
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: k == i && i >= 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3aea898e-6e8e-4359-adb2-b8d794e94f1c
    creation_time: 2023-02-17T12:07:05.047902Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.c
      input_file_hashes:
        c/loop-invgen/fragtest_simple.c: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.c
    file_hash: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
    line: 31
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: k == i && i >= 0 && i+j == n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 94e084d3-ff9d-471a-9d7a-f26da959c0bf
    creation_time: 2023-02-17T12:07:05.048080Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.c
      input_file_hashes:
        c/loop-invgen/fragtest_simple.c: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.c
    file_hash: 74a43b4798a69588c9ff82b9594318764b6e916664334d583f065abad1787cf0
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k >= 0
    type: assertion
    format: C

